Rendering issue with transparent WMS layers

2015-03-02 12:10 PM - Roel Huybrechts

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20478

Description

When setting the transparancy of certain WMS layers the rendering goes wrong and colors are off. According to my limited testing, it

happens only on WMS layers that already have transparency on their own, opaque layers render correctly after applying transparency.

Steps to reproduce:

    -  Connect to this WMS service in QGis (tested on 2.9 master): 

https://www.dov.vlaanderen.be/geoserver/gw_varia/verzilting/wms?version=1.3.0&#38;request=GetCapabilities

    -  Load the (only) layer 'verzilting'

    -  The colors are correct.

    -  Go to the layer properties, set transparency to a value != 0

Result:

    -  The layer is not transparent and the colors are all wrong.

Associated revisions

Revision dbfbc692 - 2015-06-18 05:36 PM - Martin Dobias

Fix transparency for WMS layers (fixes #12300)

Revision 507b9f22 - 2015-07-07 06:08 PM - Martin Dobias

Fix transparency for WMS layers (fixes #12300)

(cherry picked from commit dbfbc692838e768b13c970c7d777829883b4b841)

History

#1 - 2015-03-02 12:14 PM - Roel Huybrechts

Apparently something went wrong pasting the WMS link, the correct version is: 

https://www.dov.vlaanderen.be/geoserver/gw_varia/verzilting/wms?version=1.3.0&#38;request=GetCapabilities

#2 - 2015-03-02 01:50 PM - Giovanni Manghi

- Category set to Web Services clients/WMS

#3 - 2015-03-03 01:59 AM - Giovanni Manghi

- Status changed from Open to Feedback
confirmed. This was an issue also in previous qgis releases?

#4 - 2015-03-03 02:02 AM - Roel Huybrechts

Yes, I can reproduce it in QGis 2.8 and 2.6, if needed I can test in previous versions as well.

#5 - 2015-03-03 02:02 AM - Paolo Cavallini

- Subject changed from Rendering issue with transparant WMS layers to Rendering issue with transparent WMS layers

#6 - 2015-03-03 02:13 AM - Giovanni Manghi

Roel Huybrechts wrote:

Yes, I can reproduce it in QGis 2.8 and 2.6, if needed I can test in previous versions as well.

I would appreciate that, thanks!

#7 - 2015-03-03 03:25 AM - johanvdw -

Giovanni Manghi wrote:

Roel Huybrechts wrote:

Yes, I can reproduce it in QGis 2.8 and 2.6, if needed I can test in previous versions as well.

I would appreciate that, thanks!

I can confirm the problem in QGis 2.4 (debian jessie, QGis provided by debian).

#8 - 2015-03-04 04:20 AM - Roel Huybrechts

I did some further testing with older versions, full summary:

    -  master: not transparent, wrong colors

    -  2.8: not transparent, wrong colors

    -  2.6: not transparent, wrong colors

    -  2.4: not transparent, wrong colors

    -  2.2: transparent, wrong colors

    -  2.0: transparent, wrong colors

    -  1.8: transparent, correct colors: ok!

#9 - 2015-03-04 04:56 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Priority changed from Normal to Severe/Regression

- Target version set to Version 2.8.2

#10 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10
#11 - 2015-06-18 08:39 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"dbfbc692838e768b13c970c7d777829883b4b841".

2025-12-21 3/3


